"use strict";
let segment;
class MockSegment {
    constructor(name) {
        this.name = name;
        segment = this;
    }
    addNewSubsegment(name) {
        return new MockSegment(name);
    }
    addError(error) { }
    close() { }
}
jest.mock('aws-xray-sdk', () => {
    return {
        Segment: MockSegment,
        getSegment: () => {
            if (!segment) {
                segment = new MockSegment('Parent Segment');
                return segment;
            }
            return segment;
        },
        captureAWSClient: (client) => client
    };
});
